# Uses of Class
org.springframework.web.servlet.handler.RequestMatchResult

Packages that use RequestMatchResult
Package
Description
org.springframework.web.servlet.function.support
Classes supporting the `org.springframework.web.servlet.function` package.
org.springframework.web.servlet.handler
Provides standard HandlerMapping implementations, including abstract base classes for custom implementations.
org.springframework.web.servlet.mvc.method.annotation
MVC infrastructure for annotation-based handler method processing, building on the `org.springframework.web.method.annotation` package.

## Uses of RequestMatchResult in org.springframework.web.servlet.function.support

Methods in org.springframework.web.servlet.function.support that return RequestMatchResult
Modifier and Type
Method
Description
`RequestMatchResult`
RouterFunctionMapping.`match(HttpServletRequest request, String pattern)`

## Uses of RequestMatchResult in org.springframework.web.servlet.handler

Methods in org.springframework.web.servlet.handler that return RequestMatchResult
Modifier and Type
Method
Description
`RequestMatchResult`
AbstractUrlHandlerMapping.`match(HttpServletRequest request, String pattern)`
`RequestMatchResult`
MatchableHandlerMapping.`match(HttpServletRequest request, String pattern)`
Determine whether the request matches the given pattern.

## Uses of RequestMatchResult in org.springframework.web.servlet.mvc.method.annotation

Methods in org.springframework.web.servlet.mvc.method.annotation that return RequestMatchResult
Modifier and Type
Method
Description
`RequestMatchResult`
RequestMappingHandlerMapping.`match(HttpServletRequest request, String pattern)`